Status: Closed Start date: 2009-12-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.8.7

Description

The issue list pagination is broken in v0.8.7, which used to work fine in v0.8.4. See the screenshot for better understanding-

 

History

#1 - 2009-12-02 18:51 - Jean-Philippe Lang

I can't reproduce.

Please take a few seconds to describe your problem.

#2 - 2009-12-09 07:19 - Craig Hawkes

This could be related to a problem I also have in the head version. To fix it I have changed the following in the issues controller within the index

method:

commented this line

#      @issue_count = Issue.count(:include => [:status, :project], :conditions => @query.statement)

and replaced with:

      @issue_count = Issue.count(:include => [ :assigned_to, :status, :tracker, :project, :priority, :category

, :fixed_version ],

                                 :conditions => @query.statement)

#3 - 2009-12-14 09:51 - Vinod Singh

The output of 'ruby script/about' is-

About your application's environment

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.4

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /opt/apps/redmine-0.8.7

Environment               development

Database adapter          mysql

About your Redmine plugins

Redmine Hudson plugin   1.0.1.1

Tab Plugin              0.3.1

 Though above output shows environment as development with mysql while it is production with postgresql. The OS is Fedora 11 with kernel

2.6.30.9
The issue list pagination works fine on same machine in Redmine v0.8.4

#4 - 2009-12-17 06:00 - Craig Hawkes

Does pagination work for you on the mysql database, or not?

I have a problem (see) http://www.redmine.org/boards/2/topics/10132 where pagination is not working in Postgres, but I have ported the same data

into mysql and it is working fine - This is on the truck version rather than v0.8.7 so it may be different to your problem

#5 - 2009-12-17 06:04 - Vinod Singh

Craig Hawkes wrote:

Does pagination work for you on the mysql database, or not?

I have a problem (see) http://www.redmine.org/boards/2/topics/10132 where pagination is not working in Postgres, but I have ported the same

data into mysql and it is working fine - This is on the truck version rather than v0.8.7 so it may be different to your problem

 I did not tried MySQL. We are using PostgreSQL 8.4.

#6 - 2009-12-17 17:51 - Craig Hawkes

In that case - can you try changing a line of code in the issues_controller - are you comforable making Rails changes?

in the issues_controller file, there is a index method, can you try:

commented this line

#      @issue_count = Issue.count(:include => [:status, :project], :conditions => @query.statement)

and replaced with:

      @issue_count = Issue.count(:include => [ :assigned_to, :status, :tracker, :project, :priority, :category

, :fixed_version ],

                                 :conditions => @query.statement)

#7 - 2009-12-17 23:22 - Craig Hawkes

Hi

I think I have found the solution (well it is working for us, we still need to do more testing). It appears to be a problem in Postgres 8.4 and they have

issued a fix. Can I suggest that you try and install Postgres 8.4.2 which is a patch which was released a few days ago. You should be able to install

over the top, and just do a reindex

#8 - 2009-12-18 15:27 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Never had this problem with mysql or Postgres 8.3.

Please reopen if upgrading to Postgres 8.4.2 does not fix the problem.
